/* ///////////////////////////////////// config */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
}

body {
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

::placeholder {
  color: var(--color-black);
  opacity: 0.2;
}

:root {
  --color-main: #479658;
  --color-black: #4a4a4a;
}

/* ///////////////////////////////////// user page */

.user-page {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 75vw;
  width: 40rem;
  margin-inline: auto;
  margin-top: -3rem;
  opacity: 0;
  transition: 0.6s ease opacity;
}

.header-page {
  color: var(--color-text-secondary);
  margin-top: 5rem;
  display: flex;
  align-items: center;
  gap: 2rem;
}

.header-page-content {
  display: flex;
  flex-direction: column;
  gap: 0.2rem;
}

img {
  width: 15rem;
  border-radius: 100%;
}

.content-page {
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
  background-color: var(--color-main);
  width: 100%;
  padding-block: 3rem;
  border-radius: 8px;
  padding-inline: 2rem;
}

.info {
  border-radius: 8px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 2rem;
}

.git-info {
  background-color: white;
  height: rem;
  padding: 2rem;
  border-radius: 8px;
  text-align: center;
  justify-content: content;
  display: flex;
  align-items: center;
}

.githubRepo,
.githubJoin,
.githubUpdate {
  display: flex;
  align-items: center;
  justify-content: center;
}

.links {
  margin-top: 1rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.info-user {
  word-break: break-word;
  text-decoration: none;
  color: white;
}

.info-user:hover {
  cursor: pointer;
}

svg {
  width: 2rem;
  fill: white;
}

.link-container {
  margin-top: 1rem;
  display: flex;
  color: white;
  gap: 1rem;
  align-items: center;
}

.buttons-sections-main {
  gap: 1rem;
  display: none;
  text-align: center;
  margin-block: 2rem;
}

.link-sections {
  text-decoration: none;
  color: var(--color-text-secondary);
  background-color: var(--color-main);
  filter: drop-shadow(0px 2px 5px rgba(0, 0, 0, 0.284));
  padding: 0.2rem 1.5rem;
  border-radius: 4px;
  font-weight: 400;
  color: var(--color-text-primary);
}

.link-sections:hover {
  cursor: pointer;
  opacity: 0.7;
}

.anim {
  transition: all 1s ease-in-out;
}

@media screen and (max-width: 768px) {
  .user-page {
    width: unset;
  }

  .header-page {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .header-page-content {
    gap: 1rem;
  }

  .git-info {
    padding: 1rem 1.5rem;
  }

  .info {
    flex-direction: column;
  }

  .links {
    justify-content: none;
    flex-direction: column;
    align-items: flex-start;
  }
}
